GDBserver

Public Member Functions | Public Attributes | List of all members
target_desc Struct Reference

`#include "tdesc.h"`

Inheritance diagram for target_desc:

## Public Member Functions
| VEC (char_ptr) *features
| target_desc ()
| ~target_desc ()
bool | operator== (const target_desc &other) const
bool | operator!= (const target_desc &other) const

## Public Attributes
std::vector< struct reg * > | reg_defs
int | registers_size
const char ** | expedite_regs = NULL
const char * | xmltarget = NULL
const char * | arch = NULL
const char * | osabi = NULL

## Detailed Description

Definition at line 33 of file tdesc.h.

## Constructor & Destructor Documentation

## ◆ target_desc()

target_desc::target_desc | ( |  | ) |
| inline

Definition at line 66 of file tdesc.h.

Referenced by allocate_target_description().

## ◆ ~target_desc()

target_desc::~target_desc | ( |  | ) |
| inline

Definition at line 70 of file tdesc.h.

References arch, osabi, reg_defs, VEC_free, VEC_iterate, and xfree().

## Member Function Documentation

## ◆ operator!=()

bool target_desc::operator!= | ( | const target_desc & | other | ) | const
| inline

Definition at line 114 of file tdesc.h.

## ◆ operator==()

bool target_desc::operator== | ( | const target_desc & | other | ) | const
| inline

Definition at line 87 of file tdesc.h.

References expedite_regs, and reg_defs.

## ◆ VEC()

target_desc::VEC | ( | char_ptr |  | ) |

## Member Data Documentation

## ◆ arch

const char* target_desc::arch = NULL

Definition at line 60 of file tdesc.h.

Referenced by set_tdesc_architecture(), tdesc_get_features_xml(), and ~target_desc().

## ◆ expedite_regs

const char** target_desc::expedite_regs = NULL

Definition at line 45 of file tdesc.h.

Referenced by copy_target_description(), operator==(), prepare_resume_reply(), and tic6x_read_description().

## ◆ osabi

const char* target_desc::osabi = NULL

Definition at line 63 of file tdesc.h.

Referenced by set_tdesc_osabi(), tdesc_get_features_xml(), and ~target_desc().

## ◆ reg_defs

std::vector<struct reg *> target_desc::reg_defs

Definition at line 37 of file tdesc.h.

Referenced by copy_target_description(), find_register_by_number(), find_regno(), get_thread_regcache(), init_register_cache(), init_target_desc(), operator==(), regcache_cpy(), registers_to_string(), supply_regblock(), tdesc_create_reg(), and ~target_desc().

## ◆ registers_size

int target_desc::registers_size

Definition at line 40 of file tdesc.h.

Referenced by copy_target_description(), init_register_cache(), init_target_desc(), new_register_cache(), regcache_cpy(), register_cache_size(), registers_from_string(), supply_regblock(), and traceframe_walk_blocks().

## ◆ xmltarget

const char* target_desc::xmltarget = NULL

Definition at line 54 of file tdesc.h.

Referenced by copy_target_description(), initialize_low_arch(), and tdesc_get_features_xml().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/tdesc.h